---
title: CSS Images
slug: Web/CSS/CSS_Images
tags:
  - CSS
  - CSS Images
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p class="summary"><strong>CSS Images</strong> is a module of CSS that defines what types of images can be used (the {{CSSxRef("&lt;image&gt;")}} type, containing URLs, gradients and other types of images), how to resize them and how they, and other replaced content, interact with the different layout models.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{CSSxRef("image-orientation")}}</li>
 <li>{{CSSxRef("image-rendering")}}</li>
 <li>{{CSSxRef("image-resolution")}}</li>
 <li>{{CSSxRef("object-fit")}}</li>
 <li>{{CSSxRef("object-position")}}</li>
</ul>
</div>

<h3 id="Functions">Functions</h3>

<div class="index">
<ul>
 <li>{{CSSxRef("linear-gradient", "linear-gradient()")}}</li>
 <li>{{CSSxRef("radial-gradient", "radial-gradient()")}}</li>
 <li>{{CSSxRef("repeating-linear-gradient", "repeating-linear-gradient()")}}</li>
 <li>{{CSSxRef("repeating-radial-gradient", "repeating-radial-gradient()")}}</li>
 <li>{{CSSxRef("conic-gradient")}}</li>
 <li>{{CSSxRef("repeating-conic-gradient", "repeating-conic-gradient()")}}</li>
 <li>{{CSSxRef("url", "url()")}}</li>
 <li>{{CSSxRef("element", "element()")}}</li>
 <li>{{CSSxRef("_image", "image()")}}</li>
 <li>{{CSSxRef("cross-fade", "cross-fade()")}}</li>
</ul>
</div>

<h3 id="Data_types">Data types</h3>

<div class="index">
<ul>
 <li>{{CSSxRef("&lt;gradient&gt;")}}</li>
 <li>{{CSSxRef("&lt;image&gt;")}}</li>
</ul>
</div>

<h2 id="Guides">Guides</h2>

<dl>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Images/Using_CSS_gradients">Using CSS gradients</a></dt>
 <dd>Presents a specific type of CSS images, <em>gradients</em>, and how to create and use these.</dd>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Images/Implementing_image_sprites_in_CSS">Implementing image sprites in CSS</a></dt>
 <dd>Describes the common technique grouping several images in one single document to save download requests and speed up the availability of a page.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Images")}}</td>
   <td>{{Spec2("CSS4 Images")}}</td>
   <td>Added {{CSSxRef("image-resolution")}}, {{CSSxRef("conic-gradient")}}, and {{CSSxRef("_image", "image()")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Images")}}</td>
   <td>{{Spec2("CSS3 Images")}}</td>
   <td>Added {{CSSxRef("image-orientation")}}, {{CSSxRef("image-rendering")}}, {{CSSxRef("object-fit")}} and {{CSSxRef("object-position")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("Compat", "#css-%3Cimage%3E-type", "CSS Gradients")}}</td>
   <td>{{Spec2("Compat")}}</td>
   <td>Standardizes the <code>-webkit</code> prefixed gradient value functions</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Values", "#urls", "&lt;url&gt;")}}</td>
   <td>{{Spec2("CSS3 Values")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{Specname("CSS2.1", "syndata.html#uri", "&lt;uri&gt;")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS1", "#url", "&lt;url&gt;")}}</td>
   <td>{{Spec2("CSS1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
